import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.search.tables.getTableSchema({
tableName: "<value>",
});
console.log(result);
}
run();{
"indices": [
{
"config": {
"type": "FTS"
},
"field": "content",
"index_type": "FTS"
},
{
"config": {
"distance_type": "cosine",
"num_partitions": 128,
"type": "IVF_FLAT"
},
"field": "embedding",
"index_type": "IVF_FLAT"
}
],
"schema": {
"fields": [
{
"name": "id",
"nullable": false,
"type": "string"
},
{
"index": "FTS",
"name": "content",
"nullable": false,
"type": "string"
},
{
"name": "category",
"nullable": false,
"type": "string"
},
{
"name": "rating",
"nullable": true,
"type": "float"
},
{
"dimensions": 3,
"name": "embedding",
"nullable": false,
"type": "vector"
}
]
},
"stats": {
"num_deleted_rows": 12,
"num_rows": 1250
},
"table_name": "support_kb"
}Get table schema and metadata.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.search.tables.getTableSchema({
tableName: "<value>",
});
console.log(result);
}
run();{
"indices": [
{
"config": {
"type": "FTS"
},
"field": "content",
"index_type": "FTS"
},
{
"config": {
"distance_type": "cosine",
"num_partitions": 128,
"type": "IVF_FLAT"
},
"field": "embedding",
"index_type": "IVF_FLAT"
}
],
"schema": {
"fields": [
{
"name": "id",
"nullable": false,
"type": "string"
},
{
"index": "FTS",
"name": "content",
"nullable": false,
"type": "string"
},
{
"name": "category",
"nullable": false,
"type": "string"
},
{
"name": "rating",
"nullable": true,
"type": "float"
},
{
"dimensions": 3,
"name": "embedding",
"nullable": false,
"type": "vector"
}
]
},
"stats": {
"num_deleted_rows": 12,
"num_rows": 1250
},
"table_name": "support_kb"
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Was this page helpful?